%define anolis_release 1

%undefine _package_note_flags

Name:           ocaml-fileutils
Version:        0.5.3
Release:        %{anolis_release}%{?dist}
Summary:        OCaml library for common file and filename operations

License:        LGPLv2 with exceptions
URL:            https://forge.ocamlcore.org/projects/ocaml-fileutils/
Source0:        https://download.ocamlcore.org/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz

Patch1:         ocaml-fileutils-0.5.2-ounit2.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.00.1
BuildRequires:  ocaml-findlib-devel >= 1.3.3-3
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-ocamlbuild

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
ocaml setup.ml -configure --prefix %{_prefix} --destdir $RPM_BUILD_ROOT --enable-tests
make

%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs

# Set htmldir to current directory, then copy the docs (in api/)
# as a %doc rule.
make htmldir=. install

%check
make test

%files
%doc COPYING.txt
%{_libdir}/ocaml/fileutils
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/fileutils/*.a
%exclude %{_libdir}/ocaml/fileutils/*.cmx
%exclude %{_libdir}/ocaml/fileutils/*.cmxa
%endif
%exclude %{_libdir}/ocaml/fileutils/*.ml
%exclude %{_libdir}/ocaml/fileutils/*.mli

%files devel
%doc COPYING.txt
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/*.cmxa
%endif
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli

%files doc
%doc AUTHORS.txt CHANGELOG.txt README.txt TODO.txt

%changelog
* Tue Mar 21 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.5.3-1
- Init from upstream
